API Docs
YMS API
Task Management
POST Stop Task

POST Stop task

Introduction

Completes and closes an active yard task, marking it as finished and recording the completion time. This API is called when the assigned user has successfully completed the task operations such as loading, unloading, or moving equipment. The task status transitions to completed, finalizing all time tracking and enabling performance metrics calculation.

POST /general-task/{taskId}/stop

Request Parameters

NameLocationTypeRequiredDescription
taskIdpathstringYesnone
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
Item-Bam-ClientheaderstringNonone
x-facility-idheaderstringNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": 0,
    "taskId": "",
    "taskType": "",
    "timeStatus": "",
    "startTime": "",
    "lastPauseTime": "",
    "endTime": "",
    "totalRunTime": 0,
    "totalPausedTime": 0,
    "createdTime": "",
    "updatedTime": "",
    "createdBy": "",
    "updatedBy": "",
    "assignUserName": "",
    "plannedLocationId": "",
    "assignLocationId": "",
    "assignLocationName": "",
    "customerId": "",
    "customerName": "",
    "entryId": "",
    "loadIds": [
      ""
    ],
    "receiptIds": [
      ""
    ],
    "taskStatus": "",
    "assigneeUserId": "",
    "description": "",
    "priority": "",
    "note": "",
    "lastStepAssignedUserIds": [
      ""
    ],
    "planedLastStepAssignedUserIds": [
      ""
    ],
    "lastStepAssignedUserNames": [
      ""
    ],
    "planedLastStepAssignedUserNames": [
      ""
    ],
    "lastStepId": "",
    "planedAssignAllSteps": false
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRGeneralTaskView